<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Integracao\Entities\Layoutexp as LayoutExportationEntity;
use Teknisa\Model\Util\NovoCodigo;

class LayoutExportation {

    public function save(LayoutExportationEntity $layoutExportation=null, $codOperador, $dateNow, $layoutName, $orgId, $layoutActive)
    {
        if ($layoutExportation === null){
            $layoutExportation = new LayoutExportationEntity();
            $novoCodigo = NovoCodigo::geraCodigo($orgId, "Layoutexp", 1, 10, false, false);
            $layoutExportation->setCdlayoutexp($novoCodigo);
            $layoutExportation->setCdfilial();
            $layoutExportation->setCdoperinclusao($codOperador);
            $layoutExportation->setDtinclusao($dateNow);
            $layoutExportation->setNrorg($orgId);
            $layoutExportation->setNrorginclusao($orgId);
            
        }
        $layoutExportation->setIdativo($layoutActive);
        $layoutExportation->setCdoperultatu($codOperador);
        $layoutExportation->setDtultatu($dateNow);
        $layoutExportation->setNmlayoutexp($layoutName);
        $layoutExportation->setNrorgultatu($orgId);

        return $layoutExportation;
    }
}
